Bug 1464306 - RFE: look into GTKPopover for OS list UI
RFE: look into GTKPopover for OS list UI
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Cole Robinson
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-22 23:39 EDT by richard kim
Modified: 2018-05-21 03:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-23 07:58:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description richard kim 2017-06-22 23:39:43 EDT
Description of problem:
when creating a new VM, there is a choice of operating systems and versions.  If choosing Linux, the list of options is huge and it takes a long time to scroll.   

Version-Release number of selected component (if applicable):
up to and including virt-manager 1.4.1

Steps to Reproduce:
1.  Click "create virtual machine"
2.  Select "Local install Media", and click "Forward"
3.  Drop down menu "Linux", scroll down large list of options

Actual results:
Lots of scrolling

Expected results:
Please add a scroll bar on the right side of the drop down list.  The purpose is to left click the scroll bar, and drag down to the desired distro rapidly without needing to scroll a lot.

Additional info:
This is the same behavior as expected on a very long web page.
Similar to Bug 1444458
Comment 1 Cole Robinson 2017-06-23 07:58:19 EDT
GTK doesn't support scrollbars in combo boxes so short of implementing a new widget there isn't much we can do to address this specifically.

However try out upstream code, there's some changes to make the list multi nested and it should flow better for most cases

git clone git://github.com/virt-manager/virt-manager
cd virt-manager
./virt-manager --debug
Comment 2 Daniel Berrange 2017-06-23 08:03:21 EDT
@cole: I think the UI would be improved by using the GtkPopover widget to create a UI like this:

https://blogs.gnome.org/mclasen/2014/01/22/and-now-popovers/

In that screen shot we see a text field where users can type in a few characters to filter the list of OS names, and also see a scrolled list of matches to select from. With that kind of UI approach, we could just get rid of the first "OS type" drop down list, and have just the full list of all variants, dynamically filtering.
Comment 3 Cole Robinson 2017-06-23 08:06:10 EDT
Good idea, that's something to look into

Note You need to log in before you can comment on or make changes to this bug.